<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3>
          <strong>Edit vehicle sub categories </strong>
        </h3>
      </div>
      <div class="ibox-content">
        <form [formGroup]="editForm" #f="ngForm" autocomplete="off" (ngSubmit)="updateVehicleCategories()" class="form-horizontal">

          <div class="form-group">
            <label class="col-sm-2 control-label">Category
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <mat-select class="form-control" placeholder="Category" formControlName="category_id" required>
                <mat-option *ngFor="let type of categoriesData" [value]="type._id">{{type.category}}</mat-option>
              </mat-select>

              <div class="error-msg" *ngIf="editForm.controls['category_id'].invalid && (editForm.controls['category_id'].dirty || editForm.controls['category_id'].touched)">
                <div *ngIf="editForm.controls['category_id'].errors.required">
                  Category is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Sub category
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Sub category" formControlName="sub_category" maxlength="20" class="form-control" required>
              <div class="error-msg" *ngIf="editForm.controls['sub_category'].invalid && (editForm.controls['sub_category'].dirty || editForm.controls['sub_category'].touched)">
                <div *ngIf="editForm.controls['sub_category'].errors.required">
                  Sub category is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">No of Persons
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="No of Persons" pattern="[0-9]+([.][0-9]+)?" formControlName="persons" maxlength="3" class="form-control"
                required>
              <div class="error-msg" *ngIf="editForm.controls['persons'].invalid && (editForm.controls['persons'].dirty || editForm.controls['persons'].touched)">
                <div *ngIf="editForm.controls['persons'].errors.required">
                  No of Persons is required.
                </div>
                <div *ngIf="editForm.controls['persons'].errors.pattern">
                  Only numbers are allowed.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Rate per KM
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Rate per KM" pattern="[0-9]+([.][0-9]+)?" formControlName="rate" maxlength="8" class="form-control"
                required>
              <div class="error-msg" *ngIf="editForm.controls['rate'].invalid && (editForm.controls['rate'].dirty || editForm.controls['rate'].touched)">
                <div *ngIf="editForm.controls['rate'].errors.required">
                  Rate per KM is required.
                </div>
                <div *ngIf="editForm.controls['rate'].errors.pattern">
                  Only numbers are allowed.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Description
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Description" formControlName="description" maxlength="2000" class="form-control" required>
              <div class="error-msg" *ngIf="editForm.controls['description'].invalid && (editForm.controls['description'].dirty || editForm.controls['description'].touched)">
                <div *ngIf="editForm.controls['description'].errors.required">
                  Description is required.
                </div>
                >
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label">Image
              <i aria-hidden="true" class="mandatory">*</i>
            </label>
            <div class="col-md-10 form-input">
              <img *ngIf="imageUrl" class="vehiclemodeldata-image" [src]="imageUrl" alt="my DTC"/>
              <image-upload [extensions]="['jpeg','jpg','png']" [max]="1" [buttonCaption]="'Select Image'" [maxFileSize]="1048576" (removed)="onRemoved($event)"
                (uploadFinished)="imageFinishedUploading($event)" (uploadStateChanged)="onUploadStateChanged($event)" required>
              </image-upload>
              <span *ngIf="spandata=='yes'" class="clearimage">
                Remove old image before new upload.
              </span>
              <br>
              <span class="image-format">
                Only jpeg, jpg, png formats are allowed.
              </span>
              <br/>
              <div class="error-msg" *ngIf="editForm.controls['image'].invalid && (editForm.controls['image'].dirty || editForm.controls['image'].touched || f.submitted)">
                <div *ngIf="editForm.controls['image'].errors.required">
                  Image is required.
                </div>
              </div>

            </div>
          </div>

          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary" type="submit">Save changes</button>
              <button class="btn btn-white" type="button" [routerLink]="['/admin/administration/vehicle-sub-categories']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>